com.jogamp.common.os

## Enum Platform.ABIType

- java.lang.Object
- - java.lang.Enum<Platform.ABIType>
  - - com.jogamp.common.os.Platform.ABIType

- All Implemented Interfaces:
    Serializable, Comparable<Platform.ABIType>
  Enclosing class:
    Platform

      public static enum Platform.ABIType
      extends Enum<Platform.ABIType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EABI_GNU_ARMEL` ARM GNU-EABI ARMEL -mfloat-abi=softfp
    `EABI_GNU_ARMHF` ARM GNU-EABI ARMHF -mfloat-abi=hard
    `GENERIC_ABI`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Platform.ABIType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Platform.ABIType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GENERIC_ABI

          public static final Platform.ABIType GENERIC_ABI

    - #### EABI_GNU_ARMEL

          public static final Platform.ABIType EABI_GNU_ARMEL

      ARM GNU-EABI ARMEL -mfloat-abi=softfp

    - #### EABI_GNU_ARMHF

          public static final Platform.ABIType EABI_GNU_ARMHF

      ARM GNU-EABI ARMHF -mfloat-abi=hard

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static Platform.ABIType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Platform.ABIType c : Platform.ABIType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Platform.ABIType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null